| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridHeaderLabelsRenderer Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridHeaderLabelsRenderer:
[legend]

## Detailed Description

Common base class for row and column headers renderers.

See also
  wxGridColumnHeaderRenderer, wxGridRowHeaderRenderer

Since
  2.9.1

## Public Member Functions

virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...
Public Member Functions inherited from wxGridCornerHeaderRenderer
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the corner window border. More...

## Member Function Documentation

virtual void wxGridHeaderLabelsRenderer::DrawLabel | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | const wxString & | value,
|  | const wxRect & | rect,
|  | int | horizAlign,
|  | int | vertAlign,
|  | int | textOrientation
| ) |  | const

virtual

Called by the grid to draw the specified label.

Notice that the base class DrawBorder() method is called before this one.

The default implementation uses wxGrid::GetLabelTextColour() and wxGrid::GetLabelFont() to draw the label.